cURL
curl --request PUT \ --url https://api.tess.im/memory-collections/{collectionId} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>" } '
Updates an existing memory collection.
Documentation IndexFetch the complete documentation index at: https://docs.tess.im/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.tess.im/llms.txt
Use this file to discover all available pages before exploring further.
curl --request PUT \ --url 'https://api.tess.im/memory-collections/{collectionId}' \ --header 'Authorization: Bearer YOUR_API_KEY' \ --header 'Content-Type: application/json' \ --data '{ "name": "Updated Collection Name" }'
{ "message": "Collection updated successfully", "collection": { "id": 2, "user_id": 1, "name": "string" } }
{ "message": "Collection not found" }